#include <stdio.h>
#include <string.h>
#include <sys/time.h>
#include <time.h>
#include <unistd.h>
#include <stdlib.h>

#include "pps-fixed.h"

static void dump_vod_list(void)
{
	ppscategory *cat, *cur, *subcur;
	int catnum;

	cat = pps_vodlist_getcat(&catnum);
	if (!cat)
		return;

	for (cur = cat; cur; cur = cur->next)
	{
		int i = 0;

		printf ("cat id: %d\n", cur->id);
		printf ("cat name: %s\n", cur->name);
		printf ("cat type: %d\n", cur->type);
		printf ("subcat num: %d\n", cur->subcatnum);

		for (subcur = cur->psubcat; subcur; subcur = subcur->next)
		{
			ppschannel* ch;
			ppsitem* item;

			printf ("subcat: %d\n", i++);
			printf ("\tcat id: %d\n", subcur->id);
			printf ("\tcat name: %s\n", subcur->name);
			printf ("\tcat type: %d\n", subcur->type);
			printf ("\tsubcat num: %d\n", subcur->subcatnum);
			printf ("\tsubcat next: %p\n", subcur->next);

			ch = pps_vodlist_getchannel(cur->id, subcur->id, subcur->subcatnum, 1);
			if (!ch)
				continue;

			for (; ch; ch = ch->next)
			{
				printf ("\tchannel name: %s\n", ch->name);
				printf ("\tchannel director: %s\n", ch->director);
				printf ("\tactor: %s\n", ch->actor);
				printf ("\tarea: %s\n", ch->area);
				printf ("\tpubtime: %s\n", ch->pubtime);
				printf ("\tlang: %s\n", ch->lang);
				printf ("\tdesc: %s\n", ch->desc);
				for (item = ch->pitems; item; item = item->next)
				{
					printf ("\t\turl: %s\n", item->ppsurl);
					printf ("\t\tvip_flag: %d\n", item->vipflag);
					printf ("\t\tformat: %s\n", item->format);
					printf ("\t\tsize: %dMB\n", item->size);
					printf ("\t\tduration: %dM\n", item->duration);
					printf ("\t\tbitrate: %d\n\n", item->bitrate);
				}
			}
		}
	}
}

int main(int argc, char** argv)
{
	int             ret = 0;

	printf ("--Intialize vod list--\n");
	ret = pps_vodlist_init();

	dump_vod_list();

	printf("------pps vod list uninitianlizing...\n");
	pps_vodlist_uninit();

	return 0;
}
