/* PPSWrapper

 * Copyright (C) 2009- Luo Jinghua <sunmoon1997@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more
 */
#include <sys/time.h>
#include <stdio.h>
#include <string.h>
#include <signal.h>
#include <stdlib.h>

#include "pps-fixed.h"
#include "ppswrapper.h"

int main(int argc, char **argv)
{
    ppsw_t* ppsw;
    int infinit = 0;

    if (argc < 2) {
	fprintf(stderr, "expect a port argument\n");
	return -1;
    }

    if (argc > 2 && !strcmp (argv[2], "-d"))
	infinit = 1;

    signal (SIGPIPE, SIG_IGN);
    chdir ("/tmp/");

    ppsw = ppsw_server_create(atoi(argv[1]));
    if (!ppsw) {
	fprintf(stderr, "Create server failed\n");
	return -1;
    }

    ppsw_server_run(ppsw, infinit);
    ppsw_server_destroy(ppsw);

    return 0;
}
